Subject: bug#42832: closed (Re: bug#42832: 28.0.50; "Bus error" when compiling Emacs now on Debian bullseye)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 14 Aug 2020 22:53:02 +0000

Your bug report

#42832: 28.0.50; "Bus error" when compiling Emacs now on Debian bullseye

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42832: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42832
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42832: 28.0.50; "Bus error" when compiling Emacs now on Debian bullseye
From: Paul Eggert <[email-masked]>
To: Pip Cet <[email-masked]>
Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
Date: Fri, 14 Aug 2020 15:52:49 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 8/14/20 3:25 PM, Pip Cet wrote:
> It's actually if it's unset that we return PDUMPER_NO_OBJECT.

I fixed that, installed, and am marking the bug as done. Thanks very much.

Subject: 28.0.50; "Bus error" when compiling Emacs now on Debian bullseye
From: Lars Ingebrigtsen <[email-masked]>
To: [email-masked]
Date: Wed, 12 Aug 2020 19:12:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm getting this on one of my machines:

/bin/bash: line 1: 2759815 Bus error               EMACSLOADPATH= '../src/emacs' -batch --no-site-file --no-site-lisp --eval '(setq load-prefer-newer t)' -f batch-byte-compile cedet/semantic/bovine/c-by.el
make[3]: *** [Makefile:295: cedet/semantic/bovine/c-by.elc] Error 135
make[3]: *** Waiting for unfinished jobs....
make[2]: *** [Makefile:318: compile-main] Error 2
make[1]: *** [Makefile:411: lisp] Error 2
make: *** [Makefile:1126: bootstrap] Error 2

It's reproducible in that I always get this when I say "make", but if I
instead say

./src/emacs -batch --no-site-file --no-site-lisp --eval '(setq load-prefer-newer t)' -f batch-byte-compile cedet/semantic/bovine/c-by.el

everything works as it should, and it makes the .elc file.

So I'm not sure how to debug this...

On my laptop (which is also Debian bullseye), I'm not seeing any problems.

In GNU Emacs 28.0.50 (build 51, x86_64-pc-linux-gnu, GTK+ Version 3.24.20, cairo version 1.16.0)
 of 2020-08-09 built on xo
Repository revision: 1a845a672dc73c8e98e6cb9bb734616e168e60ba
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Debian GNU/Linux bullseye/sid

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no